;;;; slib-compat.scm

(define (output-port-width port)
  (let-values (((h w)(terminal-size port)))
    (if (zero? w) 80 w)))

(define (output-port-height port)
  (let-values (((h w) (terminal-size port)))
    (if (zero? h) 25 h)))

(define provided?
  (let (
    (+numeric+ '(inexact))
    (+builtins+ '()) )
    (lambda (x)
      (let (
        (kwd (string->keyword (symbol->string x)))
        (fs (features)) )
        (and
          (cond
            ((memq kwd fs))
            ((and (memq x +numeric+) (memq #:full-numeric-tower fs)))
            ((memq x +builtins+))
            (else #f) )
            #t ) ) ) ) )

(define slib:error error)
